%global relnum 32
%global Bg_Name Silverblue
%global bgname %(t="%{Bg_Name}";echo ${t,,})

# Enable Animation
%global with_animated 1

# Enable Extras
%global with_extras 1

Name: %{bgname}-wallpapers
Version: %{relnum}.0.1
Release: 1%{?dist}
Summary: Fedora Silverblue wallpapers

License: CC-BY-SA-4.0
URL: https://%{bgname}.fedoraproject.org
Source0: https://download.gnome.org/sources/%{name}/3.34/%{name}-%{version}.tar.xz

BuildArch: noarch
BuildRequires: gettext
BuildRequires: meson

%description
The silverblue-wallpaper package contains the default
desktop background for Fedora Silverblue

%package	base
Summary:	Base images for Fedora %{bgname} default background

%description	base
This package contains base images for Fedora %{bgname} default background.

%package        extras-base
Summary:        Additional Fedora Silverblue Backgrounds
License:        CC-SA-4.0


%description    extras-base
This package contains the additional desktop backgrounds
for Fedora Silverblue.

%package	gnome
Summary:	Fedora %{bgname} default wallpaper for Gnome and Cinnamon

Requires:	%{name}-base = %{version}-%{release}

%description	gnome
This package contains Gnome/Cinnamon desktop wallpaper for the
Fedora %{bgname} default theme.

%package	mate
Summary:	Fedora %{bgname} default wallpaper for Mate

Requires:	%{name}-base = %{version}-%{release}

%description	mate
This package contains Mate desktop wallpaper for the
Fedora %{bgname} default theme.

%package	extras-gnome
Summary:	Extra Fedora %{bgname} Wallpapers for Gnome and Cinnamon

Requires:	%{name}-extras-base = %{version}-%{release}

%description	extras-gnome
This package contains Fedora %{bgname} supplemental wallpapers for Gnome
and Cinnamon

%package	extras-mate
Summary:	Extra Fedora %{bgname} Wallpapers for Mate

Requires:	%{name}-extras-base = %{version}-%{release}

%description	extras-mate
This package contains Fedora %{bgname} supplemental wallpapers for Mate


%prep
%autosetup -n %{name}

%build
%meson
%meson_build

%install
%meson_install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/backgrounds/images

# all translations are merged back into xml by intltool
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

%files
%license COPYING
%doc Attribution

%files base
%{_datadir}/backgrounds/%{bgname}/default-{day,morning,night}.jpg
%{_datadir}/backgrounds/%{bgname}/%{bgname}-timed.xml

%files gnome
%{_datadir}/gnome-background-properties/%{bgname}.xml

%files mate
%{_datadir}/mate-background-properties/%{bgname}.xml

%files extras-base
%license COPYING
%doc Attribution
%{_datadir}/backgrounds/%{bgname}/circuit.jpg
%{_datadir}/backgrounds/%{bgname}/silverblue-city.jpg
%{_datadir}/backgrounds/%{bgname}/silverblue-city2.png

%files extras-gnome
%{_datadir}/gnome-background-properties/%{bgname}-extras.xml

%files extras-mate
%{_datadir}/mate-background-properties/%{bgname}-extras.xml

%changelog
